package com.ssj.service.weixin.goup.service.impl;

import com.ssj.bean.weixin.goup.domain.GoupTesting;
import com.ssj.dao.weixin.goup.dao.GoupTestingDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.weixin.goup.service.GoupTestingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


@Service
@Transactional
public class GoupTestingServiceImpl  extends BaseServiceImpl<GoupTesting, String> implements GoupTestingService{

	@Autowired
	private GoupTestingDao dao;
	
	@Override
	public PagingAndSortingRepository<GoupTesting, String> getDao() {
		return dao;
	}

	@Override
	public GoupTesting getGoupTestingByNew(Integer appType,String userId) {
		return dao.getGoupTestingByNew(appType,userId);
	}

	@Override
	public List<GoupTesting> findGoupTestingByList(Integer appType,
			Integer type, String userId) {
		return dao.findGoupTestingByList(appType, type, userId);
	}

	@Override
	public GoupTesting getGoupTestingByTypeNew(Integer appType, String userId) {
		return dao.getGoupTestingByTypeNew(appType, userId);
	}

	
	
}
